Package ghidra.app.plugin.assembler.sleigh.parse

# Class AssemblyParseErrorResult

java.lang.Object
ghidra.app.plugin.assembler.sleigh.parse.AssemblyParseResult
ghidra.app.plugin.assembler.sleigh.parse.AssemblyParseErrorResult

All Implemented Interfaces:
  `Comparable<AssemblyParseResult>`

public class AssemblyParseErrorResult extends AssemblyParseResult
An unsuccessful result from parsing

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AssemblyParseErrorResult(String got, Set<String> suggestions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `describeError()`
  Get a description of the error
  `String`
  `getBuffer()`
  Get the leftover contents of the input buffer when the error occurred
  `Set<String>`
  `getSuggestions()`
  Get a set of suggested tokens that would have allowed parsing to continue
  `boolean`
  `isError()`
  Check if the parse result is successful or an error
  `String`
  `toString()`

  ### Methods inherited from class ghidra.app.plugin.assembler.sleigh.parse.AssemblyParseResult

  `accept, compareTo, error`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AssemblyParseErrorResult

    protected AssemblyParseErrorResult(String got, Set<String> suggestions)
    See Also:
      - `AssemblyParseResult.error(String, Set)`

- ## Method Details

  - ### isError

    public boolean isError()
    Description copied from class: `AssemblyParseResult`
    Check if the parse result is successful or an error
    Specified by:
      `isError` in class `AssemblyParseResult`
    Returns:
      true if the result describes an error

  - ### describeError

    public String describeError()
    Get a description of the error
    Returns:
      a description

  - ### getSuggestions

    public Set<String> getSuggestions()
    Get a set of suggested tokens that would have allowed parsing to continue
    Returns:
      the token set

  - ### getBuffer

    public String getBuffer()
    Get the leftover contents of the input buffer when the error occurred
    Returns:
      the remaining buffer contents

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`